Bug 109998 - Increase support for 2-disc and 1-disc installations
Increase support for 2-disc and 1-disc installations
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2003-11-13 15:12 EST by Peter Halasz
Modified: 2015-09-18 11:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-05 11:36:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Halasz 2003-11-13 15:12:33 EST
Description of problem:
It is difficult to know which packages appear on which CDs during
installation.  Many users (myself included) download CD images via a
modem connection or a limited-download service, and doing less
downloading is preferable.  This is not a problem if the user has all
three CDs.  

To fix this problem I would suggest a page asking the user if she has
all CDs available.  If "no" is chosen, the user can select which of
the CDs she has.

Packages which are unavailable to the user should be greyed out or
marked unavailable.

Workaround 1:
 - get all 3 CDs

Workaround 2:
 - prior to installation, find a mounted image on FTP of the missing
discs and study their packages so you can avoid selecting them during

Workaround 3:
 - flip back-and-forth when installing, trying to remove the pesky
package that makes you require disc 3 (just by guessing which it might
 - Note: the text installer makes it difficult to go back once you
have made your package selection and are told which discs are required.

Non-Workaround: (fails)
 - Continue with installation after being warned you need a disc you
dont have.  When it finally prompts you for that disc, give up and
reset the computer. (there is no "continue anyway" option)

Workaround summary:
All these workarounds are far from ideal.  Anaconda is a user's first
impression of Fedora, and if installation fails it may be their only

Dream situation: (for the poor person with only 2-discs)
 1. Anaconda quietly notes that only 2 of 3 discs were testing before
the main installation began.
 2. Anaconda prompts the user before package selection firstly asking
if they have all 3 discs.
 3. if NO, it secondly asks which discs she has (here it should
default the ones that were noted in step 1). 
 4. At this point there should also be an option to find out which
disc is which by inserting it (for those whose malicious friends gave
them unlabelled CDs.. hey, dont look at me)
 5. If not all CDs are available at the user should be asked how to
   a. remove/hide all unavailable packages from selection, 
   b. automatically download missing packages AFTER installation is
complete, AFTER first boot into the OS. 
   c. automatically download missing packages DURING installation.

 6. These 3 options should also appear during installation after a
user is prompted for a disc which she is unable to supply.

Thanks for taking this enhancement request seriously.  Linux's
adoption by ordinary users depends largely on the ease of its
installation.  And first impressions are made quickly.

Peter Halasz.
[Still downloading the third ISO over a modem. Only 6 hours to go.]
Comment 1 Jeremy Katz 2004-10-05 11:36:56 EDT
We do a little bit better about warning you about this now.

Note You need to log in before you can comment on or make changes to this bug.